Loading...
Searching...
No Matches
BALL::CharmmTorsion Class Reference
Molecular Modeling » Molecular Mechanics » CHARMM Force Field.

`#include <BALL/MOLMEC/CHARMM/charmmTorsion.h>`

Inheritance diagram for BALL::CharmmTorsion:

## Classes

struct | SingleCharmmTorsion

## Public Member Functions

Constructors and Destructors
| CharmmTorsion ()
| CharmmTorsion (ForceField &force_field)
| CharmmTorsion (const CharmmTorsion &charmm_stretch)
virtual | ~CharmmTorsion ()
Setup Methods
virtual bool | setup ()
Public Member Functions inherited from BALL::ForceFieldComponent
| ForceFieldComponent ()
| ForceFieldComponent (ForceField &force_field)
| ForceFieldComponent (const ForceFieldComponent &force_field_component)
virtual | ~ForceFieldComponent ()
ForceField * | getForceField () const
void | setForceField (ForceField &force_field)
void | setName (const String &name)
String | getName () const
bool | isEnabled () const
void | setEnabled (bool state)
virtual double | getEnergy () const
virtual void | update ()
double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | clear ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Accessors

virtual double | updateEnergy ()
virtual void | updateForces ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
ForceField * | force_field_
double | energy_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

CHARMM torsion component

Definition at line 36 of file charmmTorsion.h.

## Constructor & Destructor Documentation

## CharmmTorsion() [1/3]

BALL::CharmmTorsion::CharmmTorsion | ( |  | ) |

Default constructor.

## CharmmTorsion() [2/3]

BALL::CharmmTorsion::CharmmTorsion | ( | ForceField & | force_field | ) |

Constructor.

## CharmmTorsion() [3/3]

BALL::CharmmTorsion::CharmmTorsion | ( | const CharmmTorsion & | charmm_stretch | ) |

Copy constructor

## ~CharmmTorsion()

virtual BALL::CharmmTorsion::~CharmmTorsion | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## setup()

virtual bool BALL::CharmmTorsion::setup | ( |  | ) |

virtual

Setup method.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## updateEnergy()

virtual double BALL::CharmmTorsion::updateEnergy | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ForceFieldComponent.

## updateForces()

virtual void BALL::CharmmTorsion::updateForces | ( |  | ) |

virtual

Calculates and returns the component's forces.

Reimplemented from BALL::ForceFieldComponent.